attoparsec-0.14.4: Fast combinator parsing for bytestrings and text

Safe Haskell | None
Language | Haskell2010

Data.Attoparsec.Internal.Fhthagn

Synopsis

- inlinePerformIO :: IO a -> a

# Documentation

inlinePerformIO :: IO a -> a #

Just like unsafePerformIO, but we inline it. Big performance gains as it exposes lots of things to further inlining. Very unsafe. In particular, you should do no memory allocation inside an `inlinePerformIO` block. On Hugs this is just `unsafePerformIO`.